(* 
	Changes the language for dictation service between English and Spanish.

	Copyright 2012 Jonathan Chacn. All rights reserved.

	This script is distributed without any warranty. The author is not liable for its 
	use or performance. The
	responsibility for its operation is yours.  
	You are not permitted to
	redistribute this script  after having
	made changes.  
	If you're going to redistribute the code, we require
	that you make it clear that the code was descended from the author, but that you've
	made changes.
*)



on run
	tell application "System Events" to set previousApplication to (path to frontmost application) as string
	tell application "System Preferences"
		activate
		reveal anchor "Dictation" of pane "com.apple.preference.speech"
	end tell
	-- delay 0.5
	tell application "System Events"
		tell process "System Preferences"
			tell pop up button 1 of tab group 1 of window "Dictado y habla"
				click
				if (get value of attribute "AXValue") contains "Ingls" then
					click menu item "Espaol (Espaa)" of menu 1
					do shell script "say -v Diego Dictado en espaol"
				else if (get value of attribute "AXValue") contains "Espaol" then
					click menu item "ingls (Estados Unidos)" of menu 1
					do shell script "say -v Alex Dictation in English"
				end if
			end tell
		end tell
	end tell
	tell application "System Preferences"
		quit
	end tell
	activate application previousApplication
end run